import { geoEqualEarth, geoMercator, geoPath } from 'd3';

//Use Mercator projection fo displaying the state map
const projection = geoMercator()

export const Marks = ({ data: { land, interiors } }) => {
	
  //dimensions for the projection
  const path = geoPath(projection.fitExtent([[20, 20], [940, 480]], land))
 
  //export the constant marks declared
  return (
  <g className="marks">
     {land.features.map((feature) => (
      <path
        className={'feature'}
        d={path(feature)}
      />
    ))}
    <path
      className={'interiors'}
      d={path(interiors)}
    />
  </g>
)};
