import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

//declare the url of the json file containing state information
const jsonUrl =
  'https://raw.githubusercontent.com/guneetnarula/indian-district-boundaries/master/topojson/state-wise/andhrapradesh.json';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)

  //useEffect() to run the effects after any changes to the DOM.
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          land: feature(topojsonData, topojsonData.objects['andhra-pradesh']),
        	interiors: mesh(topojsonData, topojsonData.objects['andhra-pradesh'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};